Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517912 - [RFE] Admin socket command to invalidate cache
Summary: [RFE] Admin socket command to invalidate cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 3.1
Assignee: Adam C. Emerson
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1584264
TreeView+ depends on / blocked
 
Reported: 2017-11-27 16:59 UTC by Mike Hackett
Modified: 2018-09-26 18:18 UTC (History)
11 users (show)

Fixed In Version: RHEL: ceph-12.2.4-6.el7cp Ubuntu: 12.2.4-7redhat1xenial
Doc Type: Enhancement
Doc Text:
.Admin socket command to invalidate cache Two new admin socket commands to manipulate the cache were added to the `radosgw-admin` tool. The `cache erase <objectname>` command flushes the given object from the cache. The `cache zap` command erases the entire cache. These commands can be used to help debug problems with the cache or provide a temporary workaround when an RGW node is holding stale information in the cache. Administrators can now flush any and all objects from the cache.
Clone Of:
Environment:
Last Closed: 2018-09-26 18:16:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2819 None None None 2018-09-26 18:18:02 UTC
Github ceph ceph pull 20144 None None None 2018-01-27 22:52:58 UTC
Ceph Project Bug Tracker 22603 None None None 2018-01-05 22:30:56 UTC

Description Mike Hackett 2017-11-27 16:59:23 UTC
Description of problem:
Walmart has requested to implement the ability to invalidate rgw cache using the radosgw-admin tool.

Version-Release number of selected component (if applicable):
RHCS 2.4

Comment 6 Ken Dreyer (Red Hat) 2018-05-23 16:09:45 UTC
This landed upstream in v12.2.4

Comment 9 errata-xmlrpc 2018-09-26 18:16:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2819


Note You need to log in before you can comment on or make changes to this bug.